require "import"
import "android.widget.*"
import "android.content.*"

InputLayout = {
LinearLayout,
orientation = "vertical",
{EditText,
hint = "Digite o número de itens a serem copiados",
id = "item_count",
inputType = "number"},
{Button,
text = "Iniciar Cópia",
onClick = function()
local count = tonumber(item_count.text)
if not count or count <= 0 then
service.speak("Por favor, insira um número válido!")
else
dlg.dismiss()
task(300, function() iniciarCopia(count) end)
end
end},
{Button,
text = "Sair",
onClick = function()
dlg.dismiss()
end}}

function iniciarCopia(count)
local indiceAtual = 1
local function copiarProximo()
if indiceAtual <= count then
if indiceAtual == 1 then
service.copy()
else
service.appendCopy()
end
if indiceAtual < count then
task(200, function()
service.toNext()
indiceAtual = indiceAtual + 1
copiarProximo()
end)
else
service.speak("Cópia de " .. count .. " itens concluída!")
end
end
end
copiarProximo()
end

dlg = LuaDialog()
.setTitle("Copiar Número de Itens da Lista")
.setView(loadlayout(InputLayout))
.show()